import request from '@/utils/request'

// 查询客户列表
export function listChatUser(query) {
  return request({
    url: '/chat/chatUser/list',
    method: 'get',
    params: query
  })
}

// 查询客户详细
export function getChatUser(userId) {
  return request({
    url: '/chat/chatUser/' + userId,
    method: 'get'
  })
}

// 新增客户
export function addChatUser(data) {
  return request({
    url: '/chat/chatUser',
    method: 'post',
    data: data
  })
}

// 修改客户
export function updateChatUser(data) {
  return request({
    url: '/chat/chatUser',
    method: 'put',
    data: data
  })
}

// 删除客户
export function delChatUser(userId) {
  return request({
    url: '/chat/chatUser/' + userId,
    method: 'delete'
  })
}

// 导出客户
export function exportChatUser(query) {
  return request({
    url: '/chat/chatUser/export',
    method: 'get',
    params: query
  })
}